# Uses of Class
org.apache.lucene.analysis.hunspell.EntrySuggestion

Packages that use EntrySuggestion
Package
Description
org.apache.lucene.analysis.hunspell
A Java implementation of Hunspell stemming and spell-checking algorithms (`Hunspell`), and a stemming TokenFilter (`HunspellStemFilter`) based on it.

- ## Uses of EntrySuggestion in org.apache.lucene.analysis.hunspell

  Methods in org.apache.lucene.analysis.hunspell that return EntrySuggestion
  Modifier and Type
  Method
  Description
  `EntrySuggestion`
  Hunspell.`compress(List<String> words)`
  Given a list of words, try to produce a smaller set of dictionary entries (with some flags) that would generate these words.
  `EntrySuggestion`
  WordFormGenerator.`compress(List<String> words, Set<String> forbidden, Runnable checkCanceled)`
  Given a list of words, try to produce a smaller set of dictionary entries (with some flags) that would generate these words.